7.7.2021 |

How to trick XCode into thinking you have the right version

XCode erlaubt je nach Version nur bestimmte iOS Versionen, um auf denen Apps zu installieren. Zum Beispiel wird für iOS 14.6, XCode 12.5 (BigSur) benötigt. Mit der letzten Catalina Version 12.4 könnte man demnach keine Apps auf iOS 14.6 installieren.

Um mit alten Versionen trotzdem Apps auf neueren iOS Versionen zu installieren, kann man einfach in dem Ordner

{path}/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport

den entsprechenden DeviceSupport Ordner hinzufügen. Für die aktuellen Versionen gibt es ein GitHub Repository.

Special Hack:

Für iOS 14.6 gibt es keinen Ordner, allerdings funktioniert das auch super wenn man einfach den 14.5 Ordner kopiert und umbenennt.

Zur Übersicht

Mehr vom Devsquad...

Jonathan Zbick

Slack Emojis erstellen

Umut Tufanoglu

Clean Tab Browser Mess using Toby